Support » Plugins and Hacks » security warnings when loading jquery-ui.css

security warnings when loading jquery-ui.css

  • wp_enqueue_style('jquery-style', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/smoothness/jquery-ui.css');

    I think you should either change the link to jquery-ui.css to use https or store it locally and reference it with plugins_url(). The way it’s called now is causing security warnings when visiting a page over SSL.

    Also, this script is getting loaded whether or not the widget has been added to a sidebar. You should use something like is_active_widget() in your widget class to only load the CSS if the widget is being loaded.


  • The topic ‘security warnings when loading jquery-ui.css’ is closed to new replies.